# Generated by Django 5.0.3 on 2024-03-18 01:09

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="CloudProvider",
            fields=[
                (
                    "provider",
                    models.CharField(
                        max_length=64, primary_key=True, serialize=False, unique=True
                    ),
                ),
            ],
            options={
                "verbose_name": "Cloud Provider",
            },
        ),
        migrations.CreateModel(
            name="CloudRegion",
            fields=[
                (
                    "region_name_with_provider",
                    models.CharField(max_length=256, primary_key=True, serialize=False),
                ),
                ("record_last_synced", models.CharField(max_length=256)),
                ("region_name", models.CharField(max_length=256)),
                ("region_short_name", models.CharField(max_length=256)),
                ("region_short_name_with_provider", models.CharField(max_length=256)),
                (
                    "provider",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="django_cloud_provider_zones.cloudprovider",
                    ),
                ),
            ],
            options={
                "verbose_name": "Cloud Region",
                "ordering": ["region_name_with_provider"],
            },
        ),
        migrations.CreateModel(
            name="CloudAvailabilityZone",
            fields=[
                (
                    "az_name_with_provider",
                    models.CharField(max_length=256, primary_key=True, serialize=False),
                ),
                ("record_last_synced", models.CharField(max_length=256)),
                ("az_name", models.CharField(max_length=256)),
                ("az_short_name", models.CharField(max_length=256)),
                ("az_id", models.CharField(blank=True, max_length=256, null=True)),
                ("az_short_name_with_provider", models.CharField(max_length=256)),
                (
                    "provider",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="django_cloud_provider_zones.cloudprovider",
                    ),
                ),
                (
                    "region",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="django_cloud_provider_zones.cloudregion",
                    ),
                ),
            ],
            options={
                "verbose_name": "Cloud Availability Zone",
                "ordering": ["az_name_with_provider"],
            },
        ),
    ]
